EDQUOTA(8)

NAZWA
edquota - edycja kwot dla użytkowników

SKŁADNIA
edquota [ -p protoname ] [ -u | -g | -P ] [ -rm ] [ -F format-name ] [ -f filesystem ] username | groupname | projectname...

edquota [ -u | -g | -P ] [ -F format-name ] [ -f filesystem ] -t

edquota [ -u | -g | -P ] [ -F format-name ] [ -f filesystem ] -T username | groupname | projectname...

OPIS
edquota is a quota editor. One or more users, groups, or projects may be specified on the command line. If a number is given in the place of user/group/project name it is treated as an UID/GID/Project ID. For each user, group, or project a temporary file is created with an ASCII representation of the current disk quotas for that user, group, or project and an editor is then invoked on the file. The quotas may then be modified, new quotas added, etc. Setting a quota to zero indicates that no quota should be imposed.

Block usage and limits are reported and interpreted as multiples of kibibyte (1024 bytes) blocks by default. Symbols K, M, G, and T can be appended to numeric value to express kibibytes, mebibytes, gibibytes, and tebibytes.

Inode usage and limits are interpreted literally. Symbols k, m, g, and t can be appended to numeric value to express multiples of 10^3, 10^6, 10^9, and 10^12 inodes.

Użytkownikom wolno przekraczać ograniczenie miękkie na określony dla danego systemu plików czas ulgi. Po upłynięciu czasu ulgi, miękkie ograniczenie staje się twardym ograniczeniem.

Informacje o aktualnym zużyciu znajdujące się w pliku pełnią rolę informacyjną. Zmienić można jedynie ograniczenia twarde i miękkie.

Po wyjściu z edytora, edquota odczytuje plik tymczasowy i modyfikuje binarne pliki kwot, aby odzwierciedlić wprowadzone zmiany.

The editor invoked is vi(1) unless either the EDITOR lub VISUAL , które wskazują na coś innego.

Zmiany kwot może dokonywać tylko superużytkownik.

OPCJE

-r, --remote
    Zmiana również kwot zdalnych za pomocą rpc.rquotad na zdalnym serwerze. Opcja ta dostępna jest jedynie, jeśli narzędzia quota zostały skompilowane z włączoną obsługą ustawiania udziałów poprzez RPC. Opcja -n jest jej równoważna i wspierana jedynie dla zachowania zgodności z wcześniejszymi wersjami.

-m, --no-mixed-pathnames
    Obecnie, nazwy ścieżkowe punktów montowania NFSv4 są wysyłane bez początkowego ukośnika w ścieżce. rpc.rquotad używa tego do rozpoznawania montowań NFSv4 i prawidłowo poprzedza ścieżkę pseudokorzeniem systemu plików NFS. Jeśli poda się tę opcję, edquota będzie zawsze wysyłać ścieżki z początkowym ukośnikiem. Jest to przydatne w celach kompatybilności, lecz proszę pamiętać, że udziały poprzez RPC przestaną działać po tym, jak zacznie się używać nowego rpc.rquotad.

-u, --user
    Edycja kwot użytkowników. Jest to zachowanie domyślne.

-g, --group
    Edycja kwot grup.

-P, --project
    Edit the project quota.

-p, --prototype=wzorcowy-użytkownik
    Powiela ustawienia kwot użytkownika wzorcowego dla wszystkich podanych użytkowników. Jest to normalny mechanizm inicjowania udziałów dla grup użytkowników.

--always-resolve
    Zawsze stara się tłumaczyć nazwę użytkownika lub grupy na UID lub GID, nawet jeśli nazwa składa się z samych cyfr.

-F, --format=nazwa-formatu
    Zmienia kwoty według podanego formatu (tzn. nie jest wykonywana automatyczne wykrywanie formatu). Dozwolone są następujące nazwy formatów: vfsold - pierwotny format udziałów z 16-bitowymi UID-ami/GID-ami, vfsv0 - format udziałów z 32-bitowymi UID-ami/GID-ami, 64-bitowe użycie przestrzeni, 32-bitowe użycie i-węzłów oraz limity, vfsv1 - format udziałów z 64-bitowymi limitami i użyciem, rpc - udziały poprzez NFS, xfs - udziały w systemie plików XFS.

-f, --filesystem system-plików
    Przeprowadza zadane operacje wyłącznie na podanym systemie plików (domyślnym zachowaniem jest przeprowadzenie ich na wszystkich systemach plików obsługujących kwoty).

-t, --edit-period
    Zmiana czasów ważności miękkich ograniczeń dla poszczególnych systemów plików. W starym formacie kwot, jeśli czasy ważności wynoszą zero, używane są domyślne ograniczenia z <linux/quota.h>. W nowym formacie kwot, wartości muszą zostać podane (nie ma wartości domyślnych, ustawianych przez jądro). Rozumiane są następujące jednostki czasu: seconds (sekundy), minutes (minuty), hours (godziny) i days (dni). Czasy ważności są wypisywane w możliwie największych jednostkach takich, że wyrażona w nich wartość jest większa lub równa jedności.

-T, --edit-times
    Edit time for the user/group/project when softlimit is enforced. Possible values are 'unset' or number and unit. Units are the same as in -t option.

PLIKI
aquota.user lub aquota.group
    pliki kwot dyskowych umieszczone w głównym katalogu systemu plików (wersja 2 kwot, systemy plików inne niż XFS)
quota.user lub quota.group
    pliki kwot dyskowych umieszczone w głównym katalogu systemu plików (wersja 1 kwot, systemy plików inne niż XFS)
/etc/mtab
    domyślne systemy plików

ZOBACZ TAKŻE
quota(1), vi(1), quotactl(2), quotacheck(8), quotaon(8), repquota(8), setquota(8)

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Przemek Borys <pborys@dione.ids.pl>, Andrzej Krzysztofowicz <ankry@green.mf.pg.gda.pl> i Michał Kułach <michal.kulach@gmail.com> Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI. Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres manpages-pl-list@lists.sourceforge.net.